Search Engine: Elastic

Article ID: 132307, created on Mar 1, 2018, last review on Mar 1, 2018

  • Applies to:
  • Operations Automation 7.3

Symptoms

When using a staff member to authorize on the APS bus with OAuth, some REST queries to APS resources may fail with the error:

{
        "error": "APS::Util::AccessViolation",
        "message": "The operation on the resource '3041861b-ebbf-4700-8895-c2daa069ea45' is not allowed."
}

Cause

The APS type is specified with its version at the OA > System > Users > Provider staff > staff member > APS Bus Access > Allowed Operations section. If the APS type is specified without version, the query works.

Such behavior was recognized as a software issue APS-44388.

Resolution

Please contact your TAM in order to clarify the current status of the issue.

Refer to the APS documentation page for the details on how to configure OAuth authentication on the APS bus.

5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 dd79f16c76b9dca75205ab5e9f5465ea 1941880841f714e458ae4dc3d9f3062d

Email subscription for changes to this article
Save as PDF